## vlc-plugin-pipewire 3

=== Makefile ===
#! /usr/bin/make -f
# Copyright (C) 2019-2022 Rémi Denis-Courmont. See COPYING.

CC = cc
INSTALL = install
PKG_CONFIG = pkg-config
CFLAGS = -g -O2 -Wall -Wextra
LDFLAGS =
LIBS =

override CC += -std=gnu11 -pthread
override CPPFLAGS += -DPIC -DHAVE_CONFIG_H -I.
override CFLAGS += -fPIC
override LDFLAGS += -Wl,-no-undefined
override LIBS += -lm

# VLC auto-configuration
ifeq ($(shell $(PKG_CONFIG) --modversion 'vlc-plugin >= 3'),)
$(error $(PKG_CONFIG) --print-errors 'vlc-plugin >= 3')
endif
ifeq ($(shell $(PKG_CONFIG) --modversion 'libpipewire-0.3 >= 0.3.50'),)
$(error $(PKG_CONFIG) --print-errors 'libpipewire-0.3 >= 0.3.50')
endif

VLC_PLUGIN_CFLAGS := $(shell $(PKG_CONFIG) --cflags vlc-plugin)
VLC_PLUGIN_LIBS := $(shell $(PKG_CONFIG) --libs vlc-plugin)
PIPEWIRE_CFLAGS := $(shell $(PKG_CONFIG) --cflags libpipewire-0.3)
PIPEWIRE_LIBS := $(shell $(PKG_CONFIG) --libs libpipewire-0.3)
override CFLAGS += $(VLC_PLUGIN_CFLAGS) $(PIPEWIRE_CFLAGS)
override LIBS += $(VLC_PLUGIN_LIBS) $(PIPEWIRE_LIBS)
pkgdatadir := $(shell $(PKG_CONFIG) --variable pkgdatadir vlc-plugin)
pluginsdir := $(shell $(PKG_CONFIG) --variable pluginsdir vlc-plugin)
aoutdir := $(pluginsdir)/audio_output

# Build rules

all: libaout_pipewire_plugin.so

install: all
	mkdir -p -- $(DESTDIR)$(aoutdir)
	$(INSTALL) --mode 0755 libaout_pipewire_plugin.so $(DESTDIR)$(aoutdir)

install-strip:
	$(MAKE) install INSTALL="$(INSTALL) -s"

uninstall:
	rm -f -- $(aoutdir)/libaout_pipewire_plugin.so

mostlyclean:
	rm -f -- lib*_plugin.so */*/*.o

clean: mostlyclean

dist:
	v=$$(git describe --always); \
	git archive --prefix "vlc-plugin-pipewire-$$v/" HEAD | \
		xz -9 > "vlc-plugin-pipewire-$$v.tar.xz"

libaout_pipewire_la_SOURCES = \
        modules/audio_output/vlc_pipewire.c \
        modules/audio_output/pipewire.c

libaout_pipewire_plugin.so: $(libaout_pipewire_la_SOURCES:%.c=%.o)
	$(CC) $(LDFLAGS) -shared -o $@ $^ $(LIBS)

.PHONY: all install install-strip uninstall clean mostlyclean dist

=== debian/changelog ===
vlc-plugin-pipewire (3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:31:37 +1100

vlc-plugin-pipewire (3-3build1) noble; urgency=high

  * No change rebuild against libpipewire-0.3-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:58:40 +0100

vlc-plugin-pipewire (3-3) unstable; urgency=medium

  * debian/: Track vlc plugin ABI
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 06 Jan 2024 10:18:56 +0100

vlc-plugin-pipewire (3-2) unstable; urgency=medium

  * debian/patches: Prioritize pulseaudio over the pipewire plugin until
    buggy edge cases around auto detection have been fixed.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jun 2022 18:38:55 +0200

vlc-plugin-pipewire (3-1) unstable; urgency=medium

  * New upstream version 3
    - Fix double free (Closes: #1011039)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2022 22:30:55 +0200

vlc-plugin-pipewire (2-1) unstable; urgency=medium

  * Initial release (Closes: #1010222)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 May 2022 20:46:54 +0200

=== debian/control ===
Source: vlc-plugin-pipewire
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libvlccore-dev,
 libpipewire-0.3-dev (>= 0.3.50),
 pkg-config
Standards-Version: 4.6.2
Homepage: https://www.remlab.net/vlc-plugin-pipewire/
Vcs-Git: https://salsa.debian.org/multimedia-team/vlc-plugin-pipewire.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlc-plugin-pipewire
Rules-Requires-Root: no

Package: vlc-plugin-pipewire
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vlc:PluginABI}
Description: PipeWire audio plugins for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This plugin provides seamless integration with PipeWire inside the VLC media
 player and LibVLC-based applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_gencontrol-arch:
	sed -n 's/^# define MODULE_SYMBOL \([0-9][_0-9a-z]*\)/-Vvlc:PluginABI=vlc-plugin-abi-\1/p' \
		/usr/include/vlc/plugins/vlc_plugin.h | tr _ - | xargs dh_gencontrol -a --

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.xz%vlc-plugin-pipewire-$1.tar.xz%" \
    https://www.remlab.net/files/vlc-plugin-pipewire/ \
    (?:.*?/)?vlc-plugin-pipewire-v(\d[\d.]*)\.tar\.xz
